.contact {
    width: 100%;
    // padding: 64px;
    // max-width: 1024px;
    // margin: auto;
    // position: relative;
    // p{
    //     color: #fff;
    //     font-size: 12px;
    // }

    .text-18 {
        font-size: 18px;
        color: #fff;
    }

    .text-14 {
        font-size: 14px;
        color: #fff;
    }


    &.not_dark {
        background-color: #d7d7d7;

        .text-18 {
            // font-size: 18px;
            color: #182029;
        }

        .text-14 {
            // font-size: 14px;
            color: #182029;
        }

        .form-group {
            .item {
                .label {
                    color: #182029 !important;
                }

                .input {
                    .value {
                        color: #182029 !important;
                        border: 1px solid rgba(0, 0, 0, 0.5) !important;
                    }
                }
            }
        }
    }

    .contact-inner {
        padding: 64px;
        max-width: 1216px;
        margin: auto;
        position: relative;

        .select-chains {
            display: flex;
            align-items: center;
            justify-content: space-between;

            .left{
                display: flex;
                align-items: center;
                justify-content: space-evenly;
                .create {
                    color: #fff;
                    font-size: 16px;
                    background-color: #45ACFA;
                    border-radius: 8px;
                    padding: 8px 16px;
                    margin: 0px 4px;
                }
            }

            .search {
                padding: 10px 16px;
                background-color: #182029;
                border-radius: 8px;
                max-width: 222px;
                display: flex;
                align-items: center;
                justify-content: space-between;

                img {
                    width: 17px;
                    height: 17px;
                    margin-right: 10px;
                    cursor: pointer;
                }

                input {
                    width: 100%;
                    border: none;
                    font-size: 16px;
                    color: #fff;
                }

                input:focus {
                    outline: none;
                    border: none;
                }
            }
        }

        .list-item {
            display: flex;
            border-bottom: 1px solid rgba(255, 255, 255, 0.5);
            padding: 10px 0px;
            margin-top: 20px;
            ul.left {
                width: 75%;

                li {
                    >p{
                        width: 150px;
                    }
                    list-style: none;
                    display: flex;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    white-space: nowrap;
                }
            }

            .right {
                width: 20%;
                margin: auto;
                display: flex;
                justify-content: flex-end;
                align-items: center;

                .check-box {
                    width: 20px;
                    height: 20px;
                    border: 1px solid #fff;
                }

                button {
                    padding: 6px 12px;
                    background-color: #45ACFA;
                    border-radius: 8px;
                    color: #fff;
                    margin-left: 16px;
                }
            }
        }

        .form-group {
            margin-top: 16px;

            .group-input {
                margin-top: 24px;
                // display: flex;
                text-align: center;
                // border-bottom: 1px solid rgba(#fff, 0.3);
                padding-bottom: 16px;

                .item {
                    display: flex;
                    align-items: center;
                    // justify-content: space-between;
                    margin-bottom: 8px;
                    width: 70%;
                    margin-left: auto;
                    margin-right: auto;

                    .label {
                        text-align: left;
                        // color: #fff;
                        font-size: 12px;
                        margin-bottom: 20px;
                        min-width: 20%;
                    }

                    .input {
                        display: inline-block;
                        text-align: left;
                        margin-left: 8px;
                        width: 90%;
                        height: 60px;
                        position: relative;

                        .ip-checkbox {
                            position: absolute;
                            width: 38px !important;
                            height: 38px;
                            -webkit-appearance: auto;
                        }

                        .value {
                            // color: #fff;
                            width: 100%;
                            padding: 8px 16px;
                            // border: 1px solid rgba(255, 255, 255, 0.5);
                            box-sizing: border-box;
                            border-radius: 8px;
                        }

                        .error {
                            color: rgba(250, 69, 69, 0.6);
                            font-size: 13px;
                            margin-top: 5px;
                            position: absolute;
                            left: 0;
                            bottom: 0;
                        }
                    }
                }

            }
        }

        .btn {
            display: inline-block;
            // margin-top: 8px;
            color: #fff;
            padding: 6px 12px;
            border-radius: 8px;
            background-color: #45ACFA;
            margin-right: 8px;
            font-size: 14px;
            cursor: pointer;
        }

        .error {
            cursor: not-allowed;
            pointer-events: none;
        }

        .popup {
            background-color: rgba(255, 255, 255, 0.1);
            width: 100vw;
            height: 100vh;
            position: fixed;
            top: 0;
            left: 0;
            z-index: 2;
            display: flex;
            align-items: center;
            justify-content: center;

            .container {
                display: inline-block;
                background-color: aliceblue;
                z-index: 4;
                padding: 20px 40px;
                border-radius: 8px;

                .title {}

                button {
                    display: inline-block;
                    margin-top: 8px;
                    color: #fff;
                    padding: 6px 12px;
                    border-radius: 8px;
                    background-color: #45ACFA;
                    margin-right: 8px;
                    font-size: 14px;
                    cursor: pointer;
                }
            }
        }
    }
}

@media screen and (max-width: 768px) {
    .contact {
        .text-18 {
            font-size: 14px;
        }

        .text-14 {
            font-size: 12px;
        }
        .contact-inner {
            padding: 20px;
            .select-chains{
                display: block;
                .create{
                    padding: 4px 8px;
                    font-size: 12px;
                }
            }
            .list-item {
                display: block;
                width: 100%;
                .left {
                    width: 100% !important;
                }

                .right {
                   width: 100%;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                }
            }
        }
    }
    .contact .contact-inner .form-group .group-input .item {
        display: flex;
        margin-bottom: 8px;
        width: 100%;
        margin-left: unset;
        margin-right: unset;
        flex-direction: column;
        align-items: flex-start;
    }
}

@media screen and (max-width: 400px) {
    .contact {
        .text-18 {
            font-size: 12px;
        }

        .text-14 {
            font-size: 10px;
        }

        .contact-inner {
            padding: 20px;

            .select-chains {
                // .create {
                //     padding: 4px 8px;
                //     font-size: 12px;
                // }
            }

            .list-item {
                .left {}

                .between {}

                .right {
                    display: flex;
                    flex-direction: column;

                    .btn {
                        width: 60px;
                        height: 25px;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        font-size: 10px;
                        margin: 4px 0px;
                    }
                }
            }
        }
    }
}